<mat-sidenav-container hasBackdrop="false" fullscreen
                       [ngClass]="{ 'kavanii-drawer' : appState.authenicatied, 'kavanii-drawer-non': !appState.authenicatied }">

  <mat-sidenav #drawer [mode]="mobileQuery.matches ? 'over' : 'side'" [fixedInViewport]="mobileQuery.matches"
               [opened]="true" class="nav-container" ><!--    *ngIf="appState.authenicatied"-->
    <app-sidenav></app-sidenav>
  </mat-sidenav>

  <mat-sidenav-content
    class="main-content"
    [@onMainContentChange]="appState.sideNavToggle ? (mobileQuery.matches ? 'close' : 'open'): 'close'">
<!--    [ngClass]="{ 'main-content': appState.authenicatied,-->
<!--                                   'stand-content' : !appState.authenicatied,-->
<!--                                   'contrast-content': appState.contrastBackground }"-->
    <div class="row pl-0 pr-0">
<!--      *ngIf="appState.authenicatied"-->
      <div class="col-xl-12 text-right topbar-header">
        <div class="profilePanel mr-5 d-flex align-items-center justify-content-end">
          <kendo-badge-container class="mr-4">
            <mat-icon class="m-0" style="font-size: 32px">notifications_none</mat-icon>
            <kendo-badge position="edge" themeColor="error">3</kendo-badge>
          </kendo-badge-container>

          <img class="person mr-3" *ngIf="appState.userProfile?.photo" [src]="appState.userProfile.photo" alt=""  [matMenuTriggerFor]="menu"  matTooltip="" style="width:40px;height:40px;cursor: pointer;">
          <span style="cursor:pointer;"  [matMenuTriggerFor]="menu">Hi,{{ appState.userProfile?.firstName }}</span>
          <mat-icon style="vertical-align: middle;cursor:pointer;"  [matMenuTriggerFor]="menu">keyboard_arrow_down</mat-icon>

        </div>
        <mat-menu #menu="matMenu" class="kavanii-menu">
          <div class="p-2">
            <div class="practitioner-list-item d-flex align-items-center" style="border-bottom:none !important;">
            <div class="practitioner-avatar-wrapper">
              <img *ngIf="appState.userProfile?.photo" class="person mr-3" style="width:45px;height:45px;" [src]="appState.userProfile.photo">
            </div>
            <div class="practitioner-details flex-fill d-flex flex-column align-items-center">
              <div class="practitioner-name-action-wrapper d-flex align-items-center w-100">
                <div class="flex-fill pttr-name helvetica-neue-medium" style="text-overflow: ellipsis;">
                  {{ appState.userProfile?.firstName }}
                </div>
              </div>
              <div class="pttr-specility-text text-left w-100 helvetica-neue-medium">
                <div class="specility-text">{{appState.userProfile?.position}}</div>
              </div>

            </div>
          </div>

          </div>
          <mat-divider></mat-divider>
          <span mat-menu-item>
           <b> {{(businessName | async)?.businessName}}</b>
          </span>
          <mat-divider></mat-divider>
          <button mat-menu-item (click)="openMyProfile()">
            <mat-icon>people</mat-icon>
            My Profile
          </button>
          <button mat-menu-item (click)="openKnowledgebase()">
            <mat-icon>library_books</mat-icon>
           Knowledge Base
          </button>
          <button mat-menu-item (click)="showHelpDialog()">
            <mat-icon>help</mat-icon>
            Help
          </button>
          <mat-divider></mat-divider>
          <button mat-menu-item (click)="logout()">
            <mat-icon>exit_to_app</mat-icon>
            Logout
          </button>
        </mat-menu>
      </div>
    </div>

<!--    [ngClass]="{ 'container': !appState.authenicatied, 'contrast-content': appState.contrastBackground }"-->
    <div>
      <router-outlet></router-outlet>
    </div>
  </mat-sidenav-content>
</mat-sidenav-container>


<!-- <app-footer></app-footer> -->

<kendo-dialog title="Help" *ngIf="helpDialog" (close)="closeHelpDialog()">
  <div style="background-color: #394085;color:white;margin: -16px;">

    <div style="padding: 50px;">
      <p style="margin-top: 0.5px; margin-bottom: 20px;font-size: 18px; text-align: left">
        Feel free to reach out to us anytime!
      </p>

      <div style="text-align: center;">
       <mat-icon style="vertical-align: middle;">phone</mat-icon> <span style="font-size: 15px;">Phone: +91 77812675789</span>
      </div>

      <div style="text-align: center;" class="mt-4">
        <mat-icon style="vertical-align: middle;">email</mat-icon><span style="font-size: 15px;"> EMail: support@kavanii.au</span>
       </div>

       <div style="text-align: center;" class="mt-4">
        <mat-icon style="vertical-align: middle;">language</mat-icon> <span style="font-size: 15px;">Web: www.kavanii.com</span>
       </div>
    </div>

  </div>
</kendo-dialog>
